Package Details: luxmark 4.0alpha1-2

Git Clone URL: https://aur.archlinux.org/luxmark.git (read-only, click to copy)
Package Base: luxmark
Description: OpenCL benchmark tool
Upstream URL: https://github.com/LuxCoreRender/LuxMark
Licenses: GPL3
Submitter: Barthalion
Maintainer: DarkShadow44
Last Packager: DarkShadow44
Votes: 4
Popularity: 0.015865
First Submitted: 2018-01-06 20:59
Last Updated: 2021-06-25 02:12

Dependencies (20)

Required by (0)

Sources (5)

Latest Comments

« First ‹ Previous 1 2 3 Next › Last »

lubosz commented on 2020-09-20 13:27

I get:

CMake Error at cmake/Dependencies.cmake:160 (MESSAGE):
  LuxRays not found.
Call Stack (most recent call first):
  CMakeLists.txt:114 (include)

I do have luxcorerender-bin installed.

DarkShadow44 commented on 2020-08-21 16:55

Thanks, I pushed an update! The OpenCL error comes from luxcorerender, btw.

minxu commented on 2020-08-21 00:26

I needed to add opensubdiv.a and blosc to the dependencies file. The opensubdiv.a is actually from luxrender package, NOT from opensubdiv package. It took me a while to figure that out. blosc should already be installed if you built luxcorerender already.

diff --git a/fix-dependencies.patch b/fix-dependencies.patch
index 1a4e076..51dd1b2 100644
--- a/fix-dependencies.patch
+++ b/fix-dependencies.patch
@@ -6,7 +6,7 @@ index 23b2230..c9b1bed 100644
  ADD_EXECUTABLE(luxmark WIN32 ${LUXMARK_SRCS})

  TARGET_LINK_LIBRARIES(luxmark ${ALL_LUXCORE_LIBRARIES} ${Boost_LIBRARIES} ${Qt5_LIBRARIES} ${OPENGL_gl_LIBRARY} ${OPENCL_LIBRARIES})
-+TARGET_LINK_LIBRARIES(luxmark openvdb.a OpenImageIO python3)
++TARGET_LINK_LIBRARIES(luxmark opensubdiv.a openvdb.a OpenImageIO python3 blosc)
  if (WIN32)
        # This is needed by Boost 1.67 but is not found automatically
      TARGET_LINK_LIBRARIES(luxmark bcrypt.lib)

DarkShadow44 commented on 2020-06-14 15:12

I was able to build it a few days ago, and it worked. No idea what changed though... If someone knows how to fix, please tell me.

kode54 commented on 2020-06-14 08:10

Added blosc and opensubdiv to fix-dependencies.patch, it builds, but it doesn't support OpenCL devices.

kode54 commented on 2020-06-14 07:28

Does not link:

[100%] Linking CXX executable ../bin/luxmark
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/10.1.0/../../../../lib/libopenvdb.so: undefined reference to symbol 'blosc_set_compressor'
/usr/bin/ld: /usr/lib64/libblosc.so.1: error adding symbols: DSO missing from command line

DarkShadow44 commented on 2020-02-06 15:10

@Vladimir-A Thanks, uploaded a fixed version.

Vladimir-A commented on 2020-02-03 03:32

Need rename oibn to openimagedenoise (community repository) in the PKGBUILD.

DarkShadow44 commented on 2019-10-16 11:21

Thanks, updated the PKGBUILD.

alexbrinister commented on 2019-10-16 01:29

For the 4.0 alpha release, scenes.zip has been changed to scenes.tgz. Diff for the PKGBUILD available at https://pastebin.com/yjgcajyu.